Index: trunk/demos/CircleFollower/uav/src/CircleFollower.cpp
===================================================================
--- trunk/demos/CircleFollower/uav/src/CircleFollower.cpp	(revision 165)
+++ trunk/demos/CircleFollower/uav/src/CircleFollower.cpp	(revision 167)
@@ -89,5 +89,5 @@
     //get roll, pitch and w from imu
     Quaternion ahrsQuaternion;
-    Vector3D ahrsAngularSpeed;
+    Vector3Df ahrsAngularSpeed;
     GetDefaultOrientation()->GetQuaternionAndAngularRates(ahrsQuaternion, ahrsAngularSpeed);
 
@@ -101,6 +101,6 @@
 }
 
-void CircleFollower::AltitudeValues(float &z,float &dz) {
-    Vector3D uav_pos,uav_vel;
+void CircleFollower::AltitudeValues(float &z,float &dz) const{
+    Vector3Df uav_pos,uav_vel;
 
     uavVrpn->GetPosition(uav_pos);
@@ -112,5 +112,5 @@
 
 AhrsData *CircleFollower::GetReferenceOrientation(void) {
-    Vector2D pos_err, vel_err; // in Uav coordinate system
+    Vector2Df pos_err, vel_err; // in Uav coordinate system
     float yaw_ref;
     Euler refAngles;
@@ -128,12 +128,12 @@
     refAngles.roll=-uY->Output();
 
-    customReferenceOrientation->SetQuaternionAndAngularRates(refAngles.ToQuaternion(),Vector3D(0,0,0));
+    customReferenceOrientation->SetQuaternionAndAngularRates(refAngles.ToQuaternion(),Vector3Df(0,0,0));
 
     return customReferenceOrientation;
 }
 
-void CircleFollower::PositionValues(Vector2D &pos_error,Vector2D &vel_error,float &yaw_ref) {
-    Vector3D uav_pos,uav_vel; // in VRPN coordinate system
-    Vector2D uav_2Dpos,uav_2Dvel; // in VRPN coordinate system
+void CircleFollower::PositionValues(Vector2Df &pos_error,Vector2Df &vel_error,float &yaw_ref) {
+    Vector3Df uav_pos,uav_vel; // in VRPN coordinate system
+    Vector2Df uav_2Dpos,uav_2Dvel; // in VRPN coordinate system
 
     uavVrpn->GetPosition(uav_pos);
@@ -148,7 +148,7 @@
         yaw_ref=yawHold;
     } else { //Circle
-        Vector3D target_pos;
-        Vector2D circle_pos,circle_vel;
-        Vector2D target_2Dpos;
+        Vector3Df target_pos;
+        Vector2Df circle_pos,circle_vel;
+        Vector2Df target_2Dpos;
 
         targetVrpn->GetPosition(target_pos);
@@ -238,6 +238,6 @@
         return;
     }
-    Vector3D uav_pos,target_pos;
-    Vector2D uav_2Dpos,target_2Dpos;
+    Vector3Df uav_pos,target_pos;
+    Vector2Df uav_2Dpos,target_2Dpos;
 
     targetVrpn->GetPosition(target_pos);
@@ -265,5 +265,5 @@
 		yawHold=vrpnQuaternion.ToEuler().yaw;
 
-    Vector3D vrpnPosition;
+    Vector3Df vrpnPosition;
     uavVrpn->GetPosition(vrpnPosition);
     vrpnPosition.To2Dxy(posHold);
Index: trunk/demos/CircleFollower/uav/src/CircleFollower.h
===================================================================
--- trunk/demos/CircleFollower/uav/src/CircleFollower.h	(revision 165)
+++ trunk/demos/CircleFollower/uav/src/CircleFollower.h	(revision 167)
@@ -54,6 +54,6 @@
         void ExtraCheckJoystick(void);
         const flair::core::AhrsData *GetOrientation(void) const;
-        void AltitudeValues(float &z,float &dz);
-        void PositionValues(flair::core::Vector2D &pos_error,flair::core::Vector2D &vel_error,float &yaw_ref);
+        void AltitudeValues(float &z,float &dz) const;
+        void PositionValues(flair::core::Vector2Df &pos_error,flair::core::Vector2Df &vel_error,float &yaw_ref);
         flair::core::AhrsData *GetReferenceOrientation(void);
         void SignalEvent(Event_t event);
@@ -61,5 +61,5 @@
         flair::filter::Pid *uX, *uY;
 
-        flair::core::Vector2D posHold;
+        flair::core::Vector2Df posHold;
         float yawHold;
 
Index: trunk/demos/Gps/uav/src/DemoGps.cpp
===================================================================
--- trunk/demos/Gps/uav/src/DemoGps.cpp	(revision 165)
+++ trunk/demos/Gps/uav/src/DemoGps.cpp	(revision 167)
@@ -79,5 +79,5 @@
 
 AhrsData* DemoGps::GetReferenceOrientation(void) {
-  Vector2D pos_err, vel_err; // in Uav coordinate system
+  Vector2Df pos_err, vel_err; // in Uav coordinate system
   float yaw_ref;
   Euler refAngles;
@@ -95,12 +95,12 @@
   refAngles.roll = -uY->Output();
 
-  customReferenceOrientation->SetQuaternionAndAngularRates(refAngles.ToQuaternion(), Vector3D(0, 0, 0));
+  customReferenceOrientation->SetQuaternionAndAngularRates(refAngles.ToQuaternion(), Vector3Df(0, 0, 0));
 
   return customReferenceOrientation;
 }
 
-void DemoGps::PositionValues(Vector2D& pos_error, Vector2D& vel_error, float& yaw_ref) {
-  Vector3D uav_pos, uav_vel;
-  Vector2D uav_2Dpos, uav_2Dvel;
+void DemoGps::PositionValues(Vector2Df& pos_error, Vector2Df& vel_error, float& yaw_ref) {
+  Vector3Df uav_pos, uav_vel;
+  Vector2Df uav_2Dpos, uav_2Dvel;
 
   // TODO GPS position and circle center
@@ -116,6 +116,6 @@
     yaw_ref = yawHold;
   } else { // Circle
-    Vector2D circle_pos, circle_vel;
-    Vector2D target_2Dpos;
+    Vector2Df circle_pos, circle_vel;
+    Vector2Df target_2Dpos;
 
     circle->SetCenter(target_2Dpos);
@@ -190,6 +190,6 @@
     return;
   }
-  Vector3D uav_pos;
-  Vector2D uav_2Dpos, target_2Dpos;
+  Vector3Df uav_pos;
+  Vector2Df uav_2Dpos, target_2Dpos;
 
   circle->SetCenter(target_2Dpos);
Index: trunk/demos/Gps/uav/src/DemoGps.h
===================================================================
--- trunk/demos/Gps/uav/src/DemoGps.h	(revision 165)
+++ trunk/demos/Gps/uav/src/DemoGps.h	(revision 167)
@@ -51,5 +51,5 @@
         void ExtraCheckPushButton(void);
         void ExtraCheckJoystick(void);
-        void PositionValues(flair::core::Vector2D &pos_error,flair::core::Vector2D &vel_error,float &yaw_ref);
+        void PositionValues(flair::core::Vector2Df &pos_error,flair::core::Vector2Df &vel_error,float &yaw_ref);
         flair::core::AhrsData *GetReferenceOrientation(void);
         void SignalEvent(Event_t event);
@@ -57,5 +57,5 @@
         flair::filter::Pid *uX, *uY;
 
-        flair::core::Vector2D posHold;
+        flair::core::Vector2Df posHold;
         float yawHold;
 
Index: trunk/demos/OpticalFlow/uav/src/DemoOpticalFlow.cpp
===================================================================
--- trunk/demos/OpticalFlow/uav/src/DemoOpticalFlow.cpp	(revision 165)
+++ trunk/demos/OpticalFlow/uav/src/DemoOpticalFlow.cpp	(revision 167)
@@ -178,5 +178,5 @@
 
     // /!\ in this demo, the target value is a speed (in m/s). As a consequence the error is the difference between the current speed and the target speed
-    Vector2D error, errorVariation; // in Uav coordinate system
+    Vector2Df error, errorVariation; // in Uav coordinate system
 
     error.x=opticalFlowRealSpeed->Value(0,0)-opticalFlowReference->Value(0,0);
@@ -194,5 +194,5 @@
     refAngles.roll=-u_y->Output();
 
-    customReferenceOrientation->SetQuaternionAndAngularRates(refAngles.ToQuaternion(),Vector3D(0,0,0));
+    customReferenceOrientation->SetQuaternionAndAngularRates(refAngles.ToQuaternion(),Vector3Df(0,0,0));
 
     return customReferenceOrientation;
Index: trunk/demos/SimpleFleet/uav/src/SimpleFleet.cpp
===================================================================
--- trunk/demos/SimpleFleet/uav/src/SimpleFleet.cpp	(revision 165)
+++ trunk/demos/SimpleFleet/uav/src/SimpleFleet.cpp	(revision 167)
@@ -111,5 +111,5 @@
     //get roll, pitch and w from imu
     Quaternion ahrsQuaternion;
-    Vector3D ahrsAngularSpeed;
+    Vector3Df ahrsAngularSpeed;
     GetDefaultOrientation()->GetQuaternionAndAngularRates(ahrsQuaternion, ahrsAngularSpeed);
 
@@ -124,5 +124,5 @@
 
 void SimpleFleet::AltitudeValues(float &z,float &dz) const {
-    Vector3D uav_pos,uav_vel;
+    Vector3Df uav_pos,uav_vel;
 
     uavVrpn->GetPosition(uav_pos);
@@ -134,5 +134,5 @@
 
 const AhrsData *SimpleFleet::GetReferenceOrientation(void) {
-    Vector2D pos_err, vel_err; // in uav coordinate system
+    Vector2Df pos_err, vel_err; // in uav coordinate system
     float yaw_ref;
     Euler refAngles;
@@ -150,12 +150,12 @@
     refAngles.roll=-u_y->Output();
 
-    customReferenceOrientation->SetQuaternionAndAngularRates(refAngles.ToQuaternion(),Vector3D(0,0,0));
+    customReferenceOrientation->SetQuaternionAndAngularRates(refAngles.ToQuaternion(),Vector3Df(0,0,0));
 
     return customReferenceOrientation;
 }
 
-void SimpleFleet::PositionValues(Vector2D &pos_error,Vector2D &vel_error,float &yaw_ref) {
-    Vector3D uav_pos,uav_vel; // in VRPN coordinate system
-    Vector2D uav_2Dpos,uav_2Dvel; // in VRPN coordinate system
+void SimpleFleet::PositionValues(Vector2Df &pos_error,Vector2Df &vel_error,float &yaw_ref) {
+    Vector3Df uav_pos,uav_vel; // in VRPN coordinate system
+    Vector2Df uav_2Dpos,uav_2Dvel; // in VRPN coordinate system
 
     uavVrpn->GetPosition(uav_pos);
@@ -171,6 +171,6 @@
         yaw_ref=yawHold;
     } else { //Circle
-        Vector2D circle_pos,circle_vel;
-        Vector2D target_2Dpos;
+        Vector2Df circle_pos,circle_vel;
+        Vector2Df target_2Dpos;
 
         //circle center
@@ -318,6 +318,6 @@
         return;
     }
-    Vector3D uav_pos;
-    Vector2D uav_2Dpos,target_2Dpos;
+    Vector3Df uav_pos;
+    Vector2Df uav_2Dpos,target_2Dpos;
 
     //circle center
@@ -352,5 +352,5 @@
 		yawHold=vrpnQuaternion.ToEuler().yaw;
 
-		Vector3D vrpnPosition;
+		Vector3Df vrpnPosition;
     uavVrpn->GetPosition(vrpnPosition);
     vrpnPosition.To2Dxy(posHold);
Index: trunk/demos/SimpleFleet/uav/src/SimpleFleet.h
===================================================================
--- trunk/demos/SimpleFleet/uav/src/SimpleFleet.h	(revision 165)
+++ trunk/demos/SimpleFleet/uav/src/SimpleFleet.h	(revision 167)
@@ -63,5 +63,5 @@
         const flair::core::AhrsData *GetOrientation(void) const;
         void AltitudeValues(float &z,float &dz) const;
-        void PositionValues(flair::core::Vector2D &pos_error,flair::core::Vector2D &vel_error,float &yaw_ref);
+        void PositionValues(flair::core::Vector2Df &pos_error,flair::core::Vector2Df &vel_error,float &yaw_ref);
         const flair::core::AhrsData *GetReferenceOrientation(void);
         void SignalEvent(Event_t event);
@@ -70,5 +70,5 @@
         flair::filter::Pid *u_x, *u_y;
 
-        flair::core::Vector2D posHold;
+        flair::core::Vector2Df posHold;
         float yawHold;
         flair::core::Socket *message;
Index: trunk/demos/Skeletons/CustomReferenceAngles/src/MyApp.cpp
===================================================================
--- trunk/demos/Skeletons/CustomReferenceAngles/src/MyApp.cpp	(revision 165)
+++ trunk/demos/Skeletons/CustomReferenceAngles/src/MyApp.cpp	(revision 167)
@@ -51,5 +51,5 @@
     //refAngles.yaw=;
 
-    customReferenceOrientation->SetQuaternionAndAngularRates(refAngles.ToQuaternion(),Vector3D(0,0,0));
+    customReferenceOrientation->SetQuaternionAndAngularRates(refAngles.ToQuaternion(),Vector3Df(0,0,0));
 
     return customReferenceOrientation;
